
Redmine - Defect #12759

createIssue API call return 404 and not error response

2013-01-07 22:48 - kalpana gutha

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.2.1

Description

I am mulking multiple API calls in Java. One call is throwing ''404 not found'. response body:' exception and not the error response.

As a result my development is blocked as I am not able to debug what the problem is.

Please find the stacktrace below

Jan 7, 2013 4:46:01 PM redmine.RedmineAPICalls createIssue

SEVERE: null

com.taskadapter.redmineapi.NotFoundException: Server returned '404 not found'. response body:

at com.taskadapter.redmineapi.internal.comm.redmine.RedmineErrorHandler.processContent(RedmineErrorHandler.java:45)

at com.taskadapter.redmineapi.internal.comm.redmine.RedmineErrorHandler.processContent(RedmineErrorHandler.java:21)

at com.taskadapter.redmineapi.internal.comm.ComposingHandler.processContent(ComposingHandler.java:25)

at com.taskadapter.redmineapi.internal.comm.ComposingHandler.processContent(ComposingHandler.java:25)

at com.taskadapter.redmineapi.internal.comm.BaseCommunicator.sendRequest(BaseCommunicator.java:83)

at com.taskadapter.redmineapi.internal.comm.redmine.RedmineAuthenticator.sendRequest(RedmineAuthenticator.java:54)

at com.taskadapter.redmineapi.internal.comm.FmapCommunicator.sendRequest(FmapCommunicator.java:26)

at com.taskadapter.redmineapi.internal.comm.FmapCommunicator.sendRequest(FmapCommunicator.java:26)

at com.taskadapter.redmineapi.internal.comm.BasicSimplifier.sendRequest(BasicSimplifier.java:24)

at com.taskadapter.redmineapi.internal.Transport.addObject(Transport.java:189)

at com.taskadapter.redmineapi.RedmineManager.createIssue(RedmineManager.java:156)

at redmine.RedmineAPICalls.createIssue(RedmineAPICalls.java:82)

at redmine.RedmineAPICalls.main(RedmineAPICalls.java:34)

History

#1 - 2013-01-08 19:02 - Jean-Philippe Lang

- Category set to REST API

- Priority changed from Urgent to Normal

- Resolution set to Cant reproduce

Please provide at least the application log.

#2 - 2020-01-09 02:06 - Go MAEDA

- Status changed from New to Closed

Since there has been no feedback for 7 years, I am closing this issue.
